Bug 1098654 - db2bak.pl error with changelogdb
Summary: db2bak.pl error with changelogdb
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.1
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1098653
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-16 20:17 UTC by Noriko Hosoi
Modified: 2015-03-05 09:34 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Cause: When a replication is configured, a replication change log db is also a target of the backup (db2bak and db2bak.pl). Backing up a change log db failed since there was no backend instance associated with a replication change log db. Consequence: Backing up on a server failed if the server hasd a replication change log db. Fix: If a backing up db is a change log db, it skips checking the backend instance is associated with the db or not. Result: Backing up works on a server which has a replication change log db.
Clone Of: 1098653
Environment:
Last Closed: 2015-03-05 09:34:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-05-16 20:17:16 UTC
+++ This bug was initially created as a clone of Bug #1098653 +++

This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47804

We are backing up our database daily with db2bak.pl, and have started to notice the following messages:

[13/May/2014:03:59:08 -0600] - Backend instance "changelogdb" does not exist; Instance path /var/lib/dirsrv/slapd-cora/changelogdb could be invalid.
[13/May/2014:03:59:08 -0600] - Backup: error in copying directory (/var/lib/dirsrv/slapd-cora/changelogdb -> /var/lib/dirsrv/slapd-cora/bak/cora-2014_05_13_03_59_08/.repl_changelog_backup): err=-1

# ls -l /var/lib/dirsrv/slapd-cora/changelogdb
total 2796
-rw-------. 1 dirsrv dirsrv 2859008 May 14 13:22 dab99282-1dd111b2-84f8fd5b-e7890000_4e7cb85b000000010000.db4
-rw-rw-r--. 1 dirsrv dirsrv       0 May 12 14:30 dab99282-1dd111b2-84f8fd5b-e7890000.sema
-rw-------. 1 dirsrv dirsrv      30 Dec  9  2012 DBVERSION

389-ds-base-1.2.11.29-1.el6.x86_64

Noriko reproduced with master as well.

Comment 1 Noriko Hosoi 2014-05-16 20:29:05 UTC
Steps to reproduce:
1. set up MMR
2. run some modify operations to generate a change log db
3. stop a server
4-1. /path/to/db2bak
4-2. /path/to/db2bak -D 'cn=directory manager' -w <pw>
5-1. restore from 4-1.
5-2. start the server and verify the server is healthy.
5-3. stop the server.
6-1. restore from 4-2.
6-2. start the server and verify the server is healthy.

Comment 3 Sankar Ramalingam 2015-01-14 13:45:26 UTC
I followed the steps to backup and restore using db2bak.pl and db2bak script files, its completed successfully. Hence, marking the bug as Verified.

Build tested: 389-ds-base-1.3.3.1-11

Comment 5 errata-xmlrpc 2015-03-05 09:34:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.